package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 项目任务日志表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-03
 */
@ApiModel(value="CostProjectTaskLog对象", description="项目任务日志表")
public class CostProjectTaskLog extends BaseModel<CostProjectTaskLog> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "立项年度")
    @TableField("year")
    @JsonProperty("year")
    private String year;
    
    @ApiModelProperty(value = "项目id")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;
    
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;
    
    @ApiModelProperty(value = "成本监审项目名称")
    @TableField("project_name")
    @JsonProperty("projectName")
    private String projectName;
    
    @ApiModelProperty(value = "被监审单位id")
    @TableField("audited_unit_id")
    @JsonProperty("auditedUnitId")
    private String auditedUnitId;
    
    @ApiModelProperty(value = "1任务督办 2任务中止 3任务催办 4任务催报 5恢复")
    @TableField("task_type")
    @JsonProperty("taskType")
    private String taskType;
    
    @ApiModelProperty(value = "人员id")
    @TableField("user_id")
    @JsonProperty("userId")
    private String userId;
    
    @ApiModelProperty(value = "内容备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;

    @ApiModelProperty(value = "节点类型")
    private String nodeType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }


    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    public String getAuditedUnitId() {
        return auditedUnitId;
    }

    public void setAuditedUnitId(String auditedUnitId) {
        this.auditedUnitId = auditedUnitId;
    }
    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectTaskLog{" +
            "id=" + id +
            ", year=" + year +
            ", projectId=" + projectId +
            ", taskId=" + taskId +
            ", projectName=" + projectName +
            ", auditedUnitId=" + auditedUnitId +
            ", taskType=" + taskType +
            ", userId=" + userId +
            ", remark=" + remark +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
        "}";
    }
}
